Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/SpellChecker/spell-checker.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/SpellChecker/spell-checker.js	(revision 2968)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/SpellChecker/spell-checker.js	(working copy)
@@ -2,7 +2,7 @@
 *  Copyright notice
 *
 *  (c) 2003 dynarch.com. Authored by Mihai Bazon, sponsored by www.americanbible.org.
-*  (c) 2004, 2005, 2006 Stanislas Rolland <stanislas.rolland(arobas)fructifor.ca>
+*  (c) 2004-2008 Stanislas Rolland <stanislas.rolland(arobas)fructifor.ca>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
@@ -32,58 +32,72 @@
  *
  * TYPO3 CVS ID: $Id$
  */
-
-SpellChecker = function(editor) {
-	this.editor = editor;
-	var cfg = editor.config;
-	var actionHandlerFunctRef = SpellChecker.actionHandler(this);
-
-	cfg.registerButton("SpellCheck", 
-		SpellChecker_langArray["SC-spell-check"],
-		editor.imgURL("spell-check.gif", "SpellChecker"),
-		false,
-		actionHandlerFunctRef
-	);
-};
-
-SpellChecker.I18N = SpellChecker_langArray;
-
-SpellChecker._pluginInfo = {
-	name 		: "SpellChecker",
-	version 	: "2.1",
-	developer 	: "Mihai Bazon & Stanislas Rolland",
-	developer_url 	: "http://dynarch.com/mishoo/",
-	c_owner 	: "Mihai Bazon & Stanislas Rolland",
-	sponsor 	: "American Bible Society & Fructifor Inc.",
-	sponsor_url 	: "http://www.fructifor.ca/",
-	license 	: "GPL"
-};
-
-SpellChecker.actionHandler = function(instance) {
-	return (function(editor,id) {
-		instance.buttonPress(editor, id);
-	});
-};
-
-SpellChecker.prototype.buttonPress = function(editor, id) {
-	var editorNumber = editor._editorNumber;
-	switch (id) {
-	    case "SpellCheck":
-		SpellChecker.editor = editor;
-		SpellChecker.init = true;
-		SpellChecker.f_dictionary = _spellChecker_lang;
-		SpellChecker.f_charset = _spellChecker_charset;
-		SpellChecker.f_pspell_mode = _spellChecker_mode;
-		SpellChecker.enablePersonalDicts = RTEarea[editorNumber]["enablePersonalDicts"];
-		SpellChecker.userUid = RTEarea[editorNumber]["userUid"];
-		var param = new Object();
-		param.editor = editor;
-		param.HTMLArea = HTMLArea;
-		if (SpellChecker.f_charset.toLowerCase() == 'iso-8859-1') editor._popupDialog("plugin://SpellChecker/spell-check-ui-iso-8859-1", null, param, 670, 515);
-    			else editor._popupDialog("plugin://SpellChecker/spell-check-ui", null, param, 670, 515);
-		break;
+SpellChecker = HTMLArea.Plugin.extend({
+		
+	constructor : function(editor, pluginName) {
+		this.base(editor, pluginName);
+	},
+	
+	/*
+	 * This function gets called by the class constructor
+	 */
+	configurePlugin : function(editor) {
+		
+		this.pageTSconfiguration = this.editorConfiguration.buttons.spellcheck;
+		this.contentISOLanguage = this.pageTSconfiguration.contentISOLanguage;
+		this.contentCharset = this.pageTSconfiguration.contentCharset;
+		this.spellCheckerMode = this.pageTSconfiguration.spellCheckerMode;
+		this.enablePersonalDicts = this.pageTSconfiguration.enablePersonalDicts;
+		this.userUid = this.editorConfiguration.userUid;
+		
+		/*
+		 * Registering plugin "About" information
+		 */
+		var pluginInformation = {
+			version		: "2.2",
+			developer	: "Mihai Bazon & Stanislas Rolland",
+			developerUrl	: "http://dynarch.com/mishoo/",
+			copyrightOwner	: "Mihai Bazon & Stanislas Rolland",
+			sponsor		: "American Bible Society & Fructifor Inc.",
+			sponsorUrl	: "http://www.fructifor.ca/",
+			license		: "GPL"
+		};
+		this.registerPluginInformation(pluginInformation);
+		
+		/*
+		 * Registering the button
+		 */
+		var buttonId = "SpellCheck";
+		var buttonConfiguration = {
+			id		: buttonId,
+			tooltip		: this.localize("SC-spell-check"),
+			action		: "onButtonPress",
+			dialog		: true
+		};
+		this.registerButton(buttonConfiguration);
+	},
+	
+	/*
+	 * This function gets called when the button was pressed.
+	 *
+	 * @param	object		editor: the editor instance
+	 * @param	string		id: the button id or the key
+	 *
+	 * @return	boolean		false if action is completed
+	 */
+	onButtonPress : function (editor, id, target) {
+			// Could be a button or its hotkey
+		var buttonId = this.translateHotKey(id);
+		buttonId = buttonId ? buttonId : id;
+		
+		var editorNumber = editor._editorNumber;
+		switch (buttonId) {
+			case "SpellCheck":
+				var charset = (this.contentCharset.toLowerCase() == 'iso-8859-1') ? "-iso-8859-1" : "";
+				this.dialog = this.openDialog(buttonId, this.makeUrlFromPopupName("spell-check-ui" + charset), null, null, {width:670, height:515});
+				break;
+		}
+		return false;
 	}
-};
+});
 
-// this needs to be global, it's accessed from spell-check-ui.html
-SpellChecker.editor = null;
Index: typo3/sysext/rtehtmlarea/mod2/class.tx_rtehtmlarea_acronym_mod.php
===================================================================
--- typo3/sysext/rtehtmlarea/mod2/class.tx_rtehtmlarea_acronym_mod.php	(revision 2968)
+++ typo3/sysext/rtehtmlarea/mod2/class.tx_rtehtmlarea_acronym_mod.php	(working copy)
@@ -52,16 +52,12 @@
 		$this->doc = t3lib_div::makeInstance('template');
 		$this->doc->docType = 'xhtml_trans';
 		$this->doc->backPath = $BACK_PATH;
-		if ($this->doc->styleSheetFile_post) {
-			$styleDir = dirname(dirname($this->doc->styleSheetFile_post));
-			$this->doc->styleSheetFile_post = $styleDir.'/rtehtmlarea/htmlarea.css';
-		} else {
-			$this->doc->styleSheetFile_post = $BACK_PATH . t3lib_extMgm::extRelPath('rtehtmlarea') . 'htmlarea/skins/default/htmlarea.css';
-		}
+		$this->doc->styleSheetFile = "";
+		$this->doc->styleSheetFile_post = "";
 		$this->doc->bodyTagAdditions = 'class="popupwin" onload="init();"';
 		$this->doc->form = '<form action="" id="acronymForm" name="acronymForm" method="POST">';
 		$JScode='
-			var dialog = window.opener.HTMLArea.Dialog["Acronym"];
+			var dialog = window.opener.HTMLArea.Dialog.Acronym;
 			var editor = dialog.plugin.editor;
 			var param = null;
 			var html = editor.getSelectedHTML();
@@ -95,7 +91,7 @@
 				}
 				document.getElementById("title").value = param["title"];
 				fillSelect(param["text"]);
-				dialog.resize();
+				if (!HTMLArea.is_ie) dialog.resize();
 			}
 			
 			function init() {
Index: typo3/sysext/rtehtmlarea/pi1/class.tx_rtehtmlarea_pi1.php
===================================================================
--- typo3/sysext/rtehtmlarea/pi1/class.tx_rtehtmlarea_pi1.php	(revision 2968)
+++ typo3/sysext/rtehtmlarea/pi1/class.tx_rtehtmlarea_pi1.php	(working copy)
@@ -46,6 +46,8 @@
 	var $siteUrl;
 	var $charset = 'utf-8';
 	var $parserCharset = 'utf-8';
+	var $defaultAspellEncoding = 'utf-8';
+	var $aspellEncoding;
 	var $result;
 	var $text;
 	var $misspelled = array();
@@ -63,7 +65,8 @@
 	var $uploadFolder = 'uploads/tx_rtehtmlarea/';
 	var $userUid;
 	var $personalDictsArg = '';
-
+	var $xmlCharacterData = '';
+	
 	/**
 	 * Main class of Spell Checker plugin for Typo3 CMS
 	 *
@@ -91,8 +94,9 @@
 			$AspellVersionString = explode('Aspell', shell_exec( $this->AspellDirectory.' -v'));
 			$AspellVersion = substr( $AspellVersionString[1], 0, 4);
 			if( doubleval($AspellVersion) < doubleval('0.5') && (!$this->pspell_is_available || $this->forceCommandMode)) echo('Configuration problem: Aspell version ' . $AspellVersion . ' too old. Spell checking cannot be performed in command mode');
+			$this->defaultAspellEncoding = trim(shell_exec($this->AspellDirectory.' config encoding'));
 		}
-
+		
 			// Setting the list of dictionaries
 		if(!$safe_mode_is_enabled && (!$this->pspell_is_available || $this->forceCommandMode)) {
 			$dictionaryList = shell_exec( $this->AspellDirectory.' dump dicts');
@@ -143,9 +147,7 @@
 			$this->dictionary = $defaultDictionary;
 		}
 		$dictionaries = substr_replace($dictionaryList, '@'.$this->dictionary, strpos($dictionaryList, $this->dictionary), strlen($this->dictionary));
-
-		//$locale = setlocale(LC_ALL, $this->dictionary);
-
+		
 			// Setting the pspell suggestion mode
 		$this->pspellMode = t3lib_div::_POST('pspell_mode')?t3lib_div::_POST('pspell_mode'): $this->pspellMode;
 			// Now sanitize $this->pspellMode
@@ -163,12 +165,23 @@
 				$pspellModeFlag = PSPELL_NORMAL;
 				break;
 		}
-
+		
 			// Setting the charset
-		if( t3lib_div::_POST('pspell_charset') ) $this->charset = trim(t3lib_div::_POST('pspell_charset'));
-		if(strtolower($this->charset) == 'iso-8859-1') $this->parserCharset = strtolower($this->charset);
+		if (t3lib_div::_POST('pspell_charset')) {
+			$this->charset = trim(t3lib_div::_POST('pspell_charset'));
+		}
+		if (strtolower($this->charset) == 'iso-8859-1') {
+			$this->parserCharset = strtolower($this->charset);
+		}
 		$internal_encoding = mb_internal_encoding(strtoupper($this->parserCharset));
-		//$regex_encoding = mb_regex_encoding (strtoupper($this->parserCharset));
+		//$regex_encoding = mb_regex_encoding(strtoupper($this->parserCharset));
+		
+			// In some configurations, Aspell uses 'iso8859-1' instead of 'iso-8859-1'
+		$this->aspellEncoding = $this->parserCharset;
+		if ($this->parserCharset == 'iso-8859-1' && strstr($this->defaultAspellEncoding, '8859-1')) {
+			$this->aspellEncoding = $this->defaultAspellEncoding;
+		}
+		
 			// However, we are going to work only in the parser charset
 		if($this->pspell_is_available && !$this->forceCommandMode) {
 			$this->pspell_link = pspell_new($this->dictionary, '', '', $this->parserCharset, $pspellModeFlag);
@@ -217,7 +230,7 @@
 					fwrite($filehandle, $cmd, strlen($cmd));
 					fclose($filehandle);
 						// $this->personalDictsArg has already been escapeshellarg()'ed above, it is an optional paramter and might be empty here
-					$AspellCommand = 'cat ' . escapeshellarg($tmpFileName) . ' | ' . $this->AspellDirectory . ' -a --mode=none' . $this->personalDictsArg . ' --lang=' . escapeshellarg($this->dictionary) . ' --encoding=' . escapeshellarg($this->parserCharset) . ' 2>&1';
+					$AspellCommand = 'cat ' . escapeshellarg($tmpFileName) . ' | ' . $this->AspellDirectory . ' -a --mode=none' . $this->personalDictsArg . ' --lang=' . escapeshellarg($this->dictionary) . ' --encoding=' . escapeshellarg($this->aspellEncoding) . ' 2>&1';
 					print $AspellCommand . "\n";
 					print shell_exec($AspellCommand);
 					t3lib_div::unlink_tempfile($tmpFileName);
@@ -254,15 +267,15 @@
 			$parser = xml_parser_create(strtoupper($this->parserCharset));
 			xml_parser_set_option($parser, XML_OPTION_CASE_FOLDING, 0);
 			xml_set_object($parser, &$this);
-			if( !xml_set_element_handler( $parser, 'startHandler', 'endHandler')) echo('Bad xml handler setting');
-			if( !xml_set_character_data_handler ( $parser, 'spellCheckHandler')) echo('Bad xml handler setting');
-			if( !xml_set_default_handler( $parser, 'defaultHandler')) echo('Bad xml handler setting');
-			if(! xml_parse($parser,'<?xml version="1.0" encoding="' . $this->parserCharset . '"?><spellchecker> ' . mb_ereg_replace('&nbsp;', ' ', $content) . ' </spellchecker>')) echo('Bad parsing');
-			if( xml_get_error_code($parser)) {
+			if (!xml_set_element_handler($parser, 'startHandler', 'endHandler')) echo('Bad xml handler setting');
+			if (!xml_set_character_data_handler($parser, 'collectDataHandler')) echo('Bad xml handler setting');
+			if (!xml_set_default_handler($parser, 'defaultHandler')) echo('Bad xml handler setting');
+			if (!xml_parse($parser,'<?xml version="1.0" encoding="' . $this->parserCharset . '"?><spellchecker> ' . mb_ereg_replace('&nbsp;', ' ', $content) . ' </spellchecker>')) echo('Bad parsing');
+			if (xml_get_error_code($parser)) {
 				die('Line '.xml_get_current_line_number($parser).': '.xml_error_string(xml_get_error_code($parser)));
 			}
 			xml_parser_free($parser);
-			if($this->pspell_is_available && !$this->forceCommandMode) {
+			if ($this->pspell_is_available && !$this->forceCommandMode) {
 				pspell_clear_session ($this->pspell_link);
 			}
 			$this->result .= 'var suggested_words = {' . $this->suggestedWords . '};
@@ -287,12 +300,18 @@
 </body></html>';
 
 				// Outputting
+			header('Content-Type: text/html; charset=' . strtoupper($this->parserCharset));
 			echo $this->result;
 		}
 
 	}  // end of function main
 
 	function startHandler($xml_parser, $tag, $attributes) {
+		if (strlen($this->xmlCharacterData)) {
+			$this->spellCheckHandler($xml_parser, $this->xmlCharacterData);
+			$this->xmlCharacterData = '';
+		}
+		
 		switch($tag) {
 			case 'spellchecker':
 				break;
@@ -322,6 +341,11 @@
 	}
 
 	function endHandler($xml_parser, $tag) {
+		if (strlen($this->xmlCharacterData)) {
+			$this->spellCheckHandler($xml_parser, $this->xmlCharacterData);
+			$this->xmlCharacterData = '';
+		}
+
 		switch($tag) {
 			case 'spellchecker':
 				break;
@@ -376,7 +400,7 @@
 					if(!$filehandle = fopen($tmpFileName,'wb')) echo('SpellChecker tempfile open error');
 					if(!fwrite($filehandle, $word)) echo('SpellChecker tempfile write error');
 					if(!fclose($filehandle)) echo('SpellChecker tempfile close error');
-					$AspellCommand = 'cat ' . escapeshellarg($tmpFileName) . ' | ' . $this->AspellDirectory . ' -a check --mode=none --sug-mode=' . escapeshellarg($this->pspellMode) . $this->personalDictsArg . ' --lang=' . escapeshellarg($this->dictionary) . ' --encoding=' . escapeshellarg($this->parserCharset) . ' 2>&1';
+					$AspellCommand = 'cat ' . escapeshellarg($tmpFileName) . ' | ' . $this->AspellDirectory . ' -a check --mode=none --sug-mode=' . escapeshellarg($this->pspellMode) . $this->personalDictsArg . ' --lang=' . escapeshellarg($this->dictionary) . ' --encoding=' . escapeshellarg($this->aspellEncoding) . ' 2>&1';
 					$AspellAnswer = shell_exec($AspellCommand);
 					$AspellResultLines = array();
 					$AspellResultLines = t3lib_div::trimExplode(chr(10), $AspellAnswer, 1);
@@ -416,6 +440,10 @@
 		unset($incurrent);
 		return;
 	}
+	
+	function collectDataHandler($xml_parser, $string) {
+		$this->xmlCharacterData .= $string;
+	}
 
 	function defaultHandler($xml_parser, $string) {
 		$this->text .= $string;
Index: typo3/sysext/rtehtmlarea/pi2/class.tx_rtehtmlarea_pi2.php
===================================================================
--- typo3/sysext/rtehtmlarea/pi2/class.tx_rtehtmlarea_pi2.php	(revision 2968)
+++ typo3/sysext/rtehtmlarea/pi2/class.tx_rtehtmlarea_pi2.php	(working copy)
@@ -53,9 +53,6 @@
 	var $thisConfig;
 	var $confValues;
 	var $language;
-	var $spellCheckerLanguage;
-	var $spellCheckerCharset;
-	var $spellCheckerMode;
 	var $specConf;
 	var $LOCAL_LANG;
 
@@ -125,17 +122,62 @@
 			$this->hostURL = preg_replace('/^(http|https)/', 'https', $this->hostURL);
 		}
 		
+		/* =======================================
+		 * LANGUAGES & CHARACTER SETS
+		 * =======================================
+		 */
 			// Language
 		$TSFE->initLLvars();
 		$this->language = $TSFE->lang;
 		$this->LOCAL_LANG = t3lib_div::readLLfile('EXT:' . $this->ID . '/locallang.xml', $this->language);
-		if ($this->language=='default' || !$this->language)	{
-			$this->language='en';
+		if ($this->language == 'default' || !$this->language)	{
+			$this->language = 'en';
 		}
+		
+		$this->contentISOLanguage = $TYPO3_CONF_VARS['EXTCONF']['rtehtmlarea']['defaultDictionary'];
+		$this->contentLanguageUid = ($row['sys_language_uid'] > 0) ? $row['sys_language_uid'] : 0;
+		if (t3lib_extMgm::isLoaded('static_info_tables')) {
+			if ($this->contentLanguageUid) {
+				$tableA = 'sys_language';
+				$tableB = 'static_languages';
+				$languagesUidsList = $this->contentLanguageUid;
+				$selectFields = $tableA . '.uid,' . $tableB . '.lg_iso_2,' . $tableB . '.lg_country_iso_2,' . $tableB . '.lg_typo3';
+				$tableAB = $tableA . ' LEFT JOIN ' . $tableB . ' ON ' . $tableA . '.static_lang_isocode=' . $tableB . '.uid';
+				$whereClause = $tableA . '.uid IN (' . $languagesUidsList . ') ';
+				$whereClause .= t3lib_BEfunc::BEenableFields($tableA);
+				$whereClause .= t3lib_BEfunc::deleteClause($tableA);
+				$res = $TYPO3_DB->exec_SELECTquery($selectFields, $tableAB, $whereClause);
+				while($languageRow = $TYPO3_DB->sql_fetch_assoc($res)) {
+					$this->contentISOLanguage = strtolower(trim($languageRow['lg_iso_2']).(trim($languageRow['lg_country_iso_2'])?'_'.trim($languageRow['lg_country_iso_2']):''));
+					$this->contentTypo3Language = strtolower(trim($languageRow['lg_typo3']));
+				}
+			} else {
+				$this->contentISOLanguage = trim($TYPO3_CONF_VARS['EXTCONF'][$this->ID]['defaultDictionary']) ? trim($TYPO3_CONF_VARS['EXTCONF'][$this->ID]['defaultDictionary']) : 'en';
+				$selectFields = 'lg_iso_2, lg_typo3';
+				$tableAB = 'static_languages';
+				$whereClause = 'lg_iso_2 = ' . $TYPO3_DB->fullQuoteStr(strtoupper($this->contentISOLanguage), $tableAB);
+				$res = $TYPO3_DB->exec_SELECTquery($selectFields, $tableAB, $whereClause);
+				while($languageRow = $TYPO3_DB->sql_fetch_assoc($res)) {
+					$this->contentTypo3Language = strtolower(trim($languageRow['lg_typo3']));
+				}
+			}
+		}
+		
+		$this->contentISOLanguage = $this->contentISOLanguage?$this->contentISOLanguage:$this->language;
+		$this->contentTypo3Language = $this->contentTypo3Language?$this->contentTypo3Language:$TSFE->lang;
+		if ($this->contentTypo3Language == 'default') {
+			$this->contentTypo3Language = 'en';
+		}
+		
 			// Character set
 		$this->charset = $TSFE->labelsCharset;
 		$this->OutputCharset  = $TSFE->metaCharset ? $TSFE->metaCharset : $TSFE->renderCharset;
 		
+			// Set the charset of the content
+		$this->contentCharset = $TSFE->csConvObj->charSetArray[$this->contentTypo3Language];
+		$this->contentCharset = $this->contentCharset ? $this->contentCharset : 'iso-8859-1';
+		$this->contentCharset = trim($TSFE->config['config']['metaCharset']) ? trim($TSFE->config['config']['metaCharset']) : $this->contentCharset;
+		
 		/* =======================================
 		 * TOOLBAR CONFIGURATION
 		 * =======================================
@@ -150,7 +192,6 @@
 			$this->thisConfig['hideTableOperationsInToolbar'] = 0;
 			$this->thisConfig['disableEnterParagraphs'] = 1;
 		}
-		if(!t3lib_extMgm::isLoaded('static_info_tables') || in_array($this->language, t3lib_div::trimExplode(',', $TYPO3_CONF_VARS['EXTCONF'][$this->ID]['noSpellCheckLanguages']))) $hidePlugins[] = 'SpellChecker';
 		$this->pluginEnabledArray = array_diff($this->pluginEnabledArray, $hidePlugins);
 		
 			// Toolbar
@@ -170,41 +211,6 @@
 		 * =======================================
 		 */
 		 
-		if( $this->isPluginEnabled('SpellChecker') ) {
-				// Set the language of the content for the SpellChecker
-			$this->spellCheckerLanguage = $TYPO3_CONF_VARS['EXTCONF']['rtehtmlarea']['defaultDictionary'];
-			if($row['sys_language_uid']) {
-				$tableA = 'sys_language';
-				$tableB = 'static_languages';
-				$languagesUidsList = $row['sys_language_uid'];
-				$selectFields = $tableA . '.uid,' . $tableB . '.lg_iso_2,' . $tableB . '.lg_country_iso_2,' . $tableB . '.lg_typo3';
-				$table = $tableA . ' LEFT JOIN ' . $tableB . ' ON ' . $tableA . '.static_lang_isocode=' . $tableB . '.uid';
-				$whereClause = $tableA . '.uid IN (' . $languagesUidsList . ') ';
-				$whereClause .= $TSFE->cObj->enableFields($tableA);
-				$res = $TYPO3_DB->exec_SELECTquery($selectFields, $table, $whereClause);
-				while ( $languageRow = $TYPO3_DB->sql_fetch_assoc($res) ) {
-					$this->spellCheckerLanguage = strtolower(trim($languageRow['lg_iso_2']).(trim($languageRow['lg_country_iso_2'])?'_'.trim($languageRow['lg_country_iso_2']):''));
-					$this->spellCheckerTypo3Language = strtolower(trim($languageRow['lg_typo3']));
-				}
-			}
-			$this->spellCheckerLanguage = $this->spellCheckerLanguage?$this->spellCheckerLanguage:$this->language;
-			$this->spellCheckerTypo3Language = $this->spellCheckerTypo3Language?$this->spellCheckerTypo3Language:$TSFE->lang;
-			if ($this->spellCheckerTypo3Language=='default') {
-				$this->spellCheckerTypo3Language='en';
-			}
-
-				// Set the charset of the content for the SpellChecker
-			$this->spellCheckerCharset = $TSFE->csConvObj->charSetArray[$this->spellCheckerTypo3Language];
-			$this->spellCheckerCharset = $this->spellCheckerCharset ? $this->spellCheckerCharset : 'iso-8859-1';
-			$this->spellCheckerCharset = trim($TSFE->config['config']['metaCharset']) ? trim($TSFE->config['config']['metaCharset']) : $this->spellCheckerCharset;
-
-				// Set the SpellChecker mode
-			$this->spellCheckerMode = isset($this->thisConfig['HTMLAreaPspellMode']) ? trim($this->thisConfig['HTMLAreaPspellMode']) : 'normal';
-			if( !in_array($this->spellCheckerMode, $this->spellCheckerModes)) {
-				$this->spellCheckerMode = 'normal';
-			}
-		}
-
 		if( $this->isPluginEnabled('QuickTag') && trim($this->thisConfig['hideTags'])) {
 			$this->quickTagHideTags = implode(',', t3lib_div::trimExplode(',', $this->thisConfig['hideTags'], 1));
 		}
